<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>DrawTool (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawTool (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawTool.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawModelListener.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/DrawToolFactory.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawTool.html" target="_top">Frames</a></li>
<li><a href="DrawTool.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">jdraw.framework</div>
<h2 title="Interface DrawTool" class="title">Interface DrawTool</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DrawTool</span></pre>
<div class="block">A tool defines a mode of the drawing view, intended to be set over a tool
 bar. An example of a tool is the construction of new figures. Whenever a new
 tool is activated or deactivated, the corresponding methods are called. This
 can be used to e.g. adjust the mouse cursor depending on the current tool.
 <P>
 All input events targeted to the drawing view are forwarded to its current
 tool.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2.5</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dominik Gruntz &amp; Christoph Denzler</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework"><code>Figure</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawTool.html#activate--">activate</a></span>()</code>
<div class="block">Activates the tool for the given view.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawTool.html#deactivate--">deactivate</a></span>()</code>
<div class="block">Deactivates the tool.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.awt.Cursor</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawTool.html#getCursor--">getCursor</a></span>()</code>
<div class="block">Returns the cursor to be used by the draw view if this draw tool is set.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>javax.swing.Icon</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawTool.html#getIcon--">getIcon</a></span>()</code>
<div class="block">Obtain an icon for this tool.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawTool.html#getName--">getName</a></span>()</code>
<div class="block">Obtain the name of this tool.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawTool.html#mouseDown-int-int-java.awt.event.MouseEvent-">mouseDown</a></span>(int&nbsp;x,
         int&nbsp;y,
         java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Handles mouse down events in the drawing view.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawTool.html#mouseDrag-int-int-java.awt.event.MouseEvent-">mouseDrag</a></span>(int&nbsp;x,
         int&nbsp;y,
         java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Handles mouse drag events in the drawing view.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawTool.html#mouseUp-int-int-java.awt.event.MouseEvent-">mouseUp</a></span>(int&nbsp;x,
       int&nbsp;y,
       java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Handles mouse up in the drawing view.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="activate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activate</h4>
<pre>void&nbsp;activate()</pre>
<div class="block">Activates the tool for the given view. This method is called whenever the
 user switches to this tool. Use this method to reinitialize a tool.</div>
</li>
</ul>
<a name="deactivate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deactivate</h4>
<pre>void&nbsp;deactivate()</pre>
<div class="block">Deactivates the tool. This method is called whenever the user switches to
 another tool. Use this method to do some clean-up when the tool is
 switched. Subclasses should always call <code>super.deactivate()</code>.</div>
</li>
</ul>
<a name="mouseDown-int-int-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseDown</h4>
<pre>void&nbsp;mouseDown(int&nbsp;x,
               int&nbsp;y,
               java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Handles mouse down events in the drawing view.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x coordinate of mouse position</dd>
<dd><code>y</code> - y coordinate of mouse position</dd>
<dd><code>e</code> - mouse event, contains state of modifiers</dd>
</dl>
</li>
</ul>
<a name="mouseDrag-int-int-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseDrag</h4>
<pre>void&nbsp;mouseDrag(int&nbsp;x,
               int&nbsp;y,
               java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Handles mouse drag events in the drawing view.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x coordinate of mouse position</dd>
<dd><code>y</code> - y coordinate of mouse position</dd>
<dd><code>e</code> - mouse event, contains state of modifiers</dd>
</dl>
</li>
</ul>
<a name="mouseUp-int-int-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseUp</h4>
<pre>void&nbsp;mouseUp(int&nbsp;x,
             int&nbsp;y,
             java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Handles mouse up in the drawing view.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x coordinate of mouse position</dd>
<dd><code>y</code> - y coordinate of mouse position</dd>
<dd><code>e</code> - mouse event, contains state of modifiers</dd>
</dl>
</li>
</ul>
<a name="getCursor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCursor</h4>
<pre>java.awt.Cursor&nbsp;getCursor()</pre>
<div class="block">Returns the cursor to be used by the draw view if this draw tool is set.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>cursor for this draw tool.</dd>
</dl>
</li>
</ul>
<a name="getIcon--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIcon</h4>
<pre>javax.swing.Icon&nbsp;getIcon()</pre>
<div class="block">Obtain an icon for this tool. This icon will be displayed in the toolbar.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an icon representing the tool.</dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getName</h4>
<pre>java.lang.String&nbsp;getName()</pre>
<div class="block">Obtain the name of this tool. This name will be used for menu entries.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the tool's name.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawTool.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawModelListener.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/DrawToolFactory.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawTool.html" target="_top">Frames</a></li>
<li><a href="DrawTool.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
